#/!bin/sh
#151008 sfs
F(){
for i in `ls /usr/bin/mkfs.*` ;do
    basename $i
done
}
#exit
#d="$(ntf -l "`ls /dev/[hs]d[0a-z]`" "Cfdisk - Менеджер разделов диска\n" "cfdisk позволяет просматривать и изменять разделы 
#d="$(ntf -l "$(`which sudo` blkid |grep -v 'TYPE="squashfs"' |sort)" "Mkfs - форматирование разделов диска\n" "<b>Внимание!</b> Вся информация на выбранном разделе будет удалена
d="$(ntf -l "$(`which sudo` fdisk -l |egrep '^/dev/')" "Mkfs - форматирование разделов диска\n" "\
* - загрузочный раздел
<b>Внимание!</b> Вся информация на выбранном разделе будет удалена
")"
[ "$d" ] || exit
d="`echo $d |awk -F: '{print $1}'`"  

L(){
t="Введите новое имя тома"
l="`yad --center --title "${t}" --window-icon=gtk-index --text "$t" --entry`"
[ "$?" = "0" ] || exit
#`which sudo` tune2fs "`echo $d |awk -F: '{print $1}'`"  -L "$l"
}

f="$(ntf -l "`F`" "Mkfs - форматирование разделов диска\n" "Выберите тип файловой системы")"
[ "$f" ] || exit
#[ "`mount |egrep '^'$d''`" ] && ntf -a "$d примонтирован" "Отмонтируйте" && exit
[ "`mount |egrep '^'$d''`" ] && wt "`which sudo` umount $d" "Отключение $d" 

[ "$f" = "mkfs.ntfs" ] && L && f="mkfs.ntfs -f -L "$l"" #|| f="mkfs.ntfs -f " 
[ "$f" = "mkfs.vfat" ] && L && f="mkfs.vfat -n "$l"" #|| f="mkfs.vfat " 
#defaultterminal -e `which sudo`  $f "`echo $d |awk -F: '{print $1}'`"  
#urxvt -e `which sudo`  $f "$d"
wt "`which sudo`  $f "$d"" "форматирование $d"
ERR(){
if [ "$?" = "0" ] ;then
    ntf -w "Перед использованием отформатированного раздела $d" "отключите-подключите устройство или перезагрузите компьютер"
else
    ntf -a "Если Вы получили ошибку:" "<small>mkfs.vfat: unable to open $d: Device or resource busy</small>
1. отформатируйте сначала в NTFS
2. отключите-подключите устройство или перезагрузите компьютер
3. отформатируйте в VFAT"
$0
fi
}
exit
[ "$d" ] && defaultterminal -e `which sudo` cfdisk "$d"
